Get submission by ID
curl --request GET \
--url https://api.fillout.com/v1/api/forms/{formId}/submissions/{submissionId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fillout.com/v1/api/forms/{formId}/submissions/{submissionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fillout.com/v1/api/forms/{formId}/submissions/{submissionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"submission": {
"submissionId": "<string>",
"submissionTime": "2023-11-07T05:31:56Z",
"questions": [
{
"id": "<string>",
"name": "<string>",
"type": "<string>",
"value": "<unknown>"
}
],
"lastUpdatedAt": "2023-11-07T05:31:56Z",
"calculations": [
{
"id": "<string>",
"name": "<string>",
"value": "<string>"
}
],
"urlParameters": [
{
"id": "<string>",
"name": "<string>",
"value": "<string>"
}
],
"scheduling": [
{
"id": "<string>",
"name": "<string>",
"value": {
"fullName": "<string>",
"email": "jsmith@example.com",
"timezone": "<string>",
"eventStartTime": "2023-11-07T05:31:56Z",
"eventEndTime": "2023-11-07T05:31:56Z",
"eventId": "<string>",
"eventUrl": "<string>",
"rescheduleOrCancelUrl": "<string>",
"userId": 123,
"scheduledUserEmail": "jsmith@example.com",
"meetingNotes": "<string>"
}
}
],
"payments": [
{
"id": "<string>",
"name": "<string>",
"value": {
"paymentId": "<string>",
"stripeCustomerId": "<string>",
"stripeCustomerUrl": "<string>",
"stripePaymentUrl": "<string>",
"totalAmount": 123,
"currency": "<string>",
"email": "jsmith@example.com",
"discountCode": "<string>",
"status": "<string>",
"stripeSubscriptionId": "<string>"
}
}
],
"quiz": {
"score": 123,
"maxScore": 123
},
"login": {
"email": "jsmith@example.com"
}
}
}Fillout REST API
Get submission by id
Returns a single submission by its ID
GET
/
forms
/
{formId}
/
submissions
/
{submissionId}
Get submission by ID
Authorizations
Enter your Fillout API key. Format: Bearer <api_key>
Path Parameters
The public identifier of the form
The identifier of the submission
Query Parameters
Pass true to include a link to edit the submission as 'editLink'
Response
200 - application/json
Single submission
The submission data
Show child attributes
Show child attributes
Was this page helpful?
⌘I